<!DOCTYPE html>
  <head>
    <meta charset="UTF-8">

    <script src="assets/js/proj4.js"></script>
    <script src="assets/js/epsg-2056.js"></script>
    <script src="assets/js/openlayers.min.js"></script>
    <script src="assets/js/i18next.min.js"></script>
    <script src="assets/js/es6-promise.min.js"></script>
    <script src="assets/js/es6-promise.auto.min.js"></script> 
    <script src="assets/js/url-search-params.min.js"></script> 
    <script src="assets/js/array-from.polyfill.js"></script>
    <script src="assets/js/array-find.polyfill.js"></script>
    <script src="assets/js/string-includes.polyfill.js"></script>

    <link rel="stylesheet" href="assets/css/style.css"/>
    <link rel="stylesheet" href="assets/css/ol.css"/>

    <title>Vegetationshöhe</title>
  </head>
  <body>

      <div id="banner">
          <a href="https://www.lfi.ch">
            <img src="assets/images/logo.gif" alt="LFI Logo"/>
          </a>
        </div>
      <div id="banner-bottom"></div>

    <div id="map" class="map"></div>

    <div id="language-select">
      <a href="#" onclick="changeLanguage('de');">De</a>
      <span> | </span>
      <a href="#" onclick="changeLanguage('fr');">Fr</a>
      <span> | </span>
      <a href="#" onclick="changeLanguage('it');">It</a>
      <span> | </span>
      <a href="#" onclick="changeLanguage('en');">En</a>
    </div>

    

    <div id="left-panel">
      <input type="text" placeholder="Ort suchen" id="location-search-input" onclick="handleLocationSearch(event);" oninput="handleLocationSearch(event);" />
      <div id="search-results" class="hidden"></div>
      <div id="transparency-panel">
        <h3 id="transparency-label">Transparenz</h3>
        <div class="flex">
          <div class="transparency-label" id="vegetation-height-transparency-label">Vegetationshöhe</div>
          <input id="vegetation-height-transparency" type="range" max="1" min="0" step="0.05" value="0.5" onchange="handleVegetationHeightTransparencyChange(event);" />
        </div>
        <div class="flex">
          <div class="transparency-label" id="relief-transparency-label">Relief</div>
          <input id="relief-transparency" type="range" max="1" min="0" step="0.05" value="0.5" onchange="handleReliefTransparencyChange(event);" />
        </div>
      </div>
      <div id="info" class="hidden">
        <div class="flex" style="justify-content: space-between;">
          <span>
            <span id="vegetation-height-label"></span>
            <span id="vegetation-height"></span>
            <span id="no-vegetation" class="hidden">Keine Vegetation</span>
          </span>
          <span onclick="hideVegetationHeight();" style="cursor: pointer; user-select: none;">X</span>
        </div>
        <div class="flex" style="justify-content: space-between;">
          <span>
            <span id="date-label"></span>
            <span id="date"></span>
          </span>
        </div>
      </div>
    </div>

    <div id="legend">
      <img src="https://api3.geo.admin.ch/static/images/legends/ch.bafu.landesforstinventar-vegetationshoehenmodell_de.png" alt="Legende" />
    </div>

    <div id="home-button" class="ol-control">
      <button class="ol-control" onclick="recenterMap();"><img src="assets/images/home-icon.png" alt="Home" height="15px"/></button>
    </div>

    <div id="locate-button" class="ol-control">
      <button class="ol-control" onclick="centerOnCurrentLocation();"><img src="assets/images/locate-icon.png" alt="Location" height="15px"/></button>
    </div>

    <div class="corner-ribbon">TEST</div>

    <script src="assets/js/script.js"></script>
  </body>
</html>
